Subject: Jaselle newborn
From: "Jerome Vierling" <[email-masked]>
To: "Michael B" <[email-masked]>
Date: Fri, 3 May 2013 12:43:13 +0000

I want to hear ur dream story.  Cause it is hitting me now on my end.  I saw dream in this pick and paused for a bit and was reminded that jaselle is the daughter I saw in a dream in 2006 when I got woke up in 3 in the morning and saw my daughter at 4 years old and this is before we even had thoughts of children and I was not really in baby thinking world ever.
https://m.facebook.com/photo.php?fbid=10151411885393183&id=509533182&set=a.10151411885048183.1073741827.509533182&comment_id=8969332&offset=0&total_comments=1&_rdr

Jerome Vierling 
Soundsgood Ministries
soundsgoodrecords.com
@rootedjerome

Sent from my BlackBerry please excuse typos